# Uncia Relay

A light, but featureful, ActivityPub relay. Public posts pushed to the relay will be forwarded to every other subscribed instance.

## Installation

### Easy

	make install

### Manual

Create a virtual environment

	python3 -m venv ~/.local/share/venv/uncia

Update pip and setuptools, install wheel to avoid compiling modules, and install dependencies

	~/.local/share/venv/uncia/bin/python -m pip install -U pip setuptools
	~/.local/share/venv/uncia/bin/python -m pip install wheel
	~/.local/share/venv/uncia/bin/python -m pip install -r requirements.txt

Run the relay setup to configure it

	~/.local/share/venv/uncia/bin/python -m uncia.manage setup

## Running

You can run either `make run` or `~/.local/share/venv/uncia/bin/python -m uncia`

## Manage Commands

There are a number of commands that can be ran to manage various parts of the relay. Some require the relay to be running in order to work. Run the `help` command to list all of the available commands.

	~/.local/share/venv/uncia/bin/python -m uncia.manage <command> [*args]
