from izzylib import logging


def cmd_ban(self, handle=None, domain=None):
	row = self.get.ban(handle, domain)

	if row:
		self.remove(row=row)
		self.cache.ban.remove(f'{handle}@{domain}')
		return True

	return False


def cmd_instance(self, data):
	instance = self.get.instance(data)

	if not instance:
		logging.debug(f'db.get.inbox: instance does not exist: {data}')
		return False

	self.remove(row=instance)

	for row in self.search('retry', inboxid=instance.id):
		self.remove(row=row)

	return True
